#ifndef AMDIS_TIMER_H
#define AMDIS_TIMER_H

#include <time.h>
namespace AMDiS {
	/// Helper class to destinct between different time measurement methods
	class Timer {
		/// begin value for sequentiell measurement
		clock_t first_seq;

		/// begin value for parallel measurement
		double first_mpi;

		public:

		///initializes the timer with current time
		Timer();

		/// resets the timer to current time
		void reset();

		/// returns the elapsed time (from construction or last reset) to now in seconds
		double elapsed();
	};
}
#endif
